.content_image_switcher-layout {
   --inactive-bg: var(--noix-almond);
    --active-bg: var(--noix-almond);
    --icon-inactive: color-mix(in srgb, var(--noix-blue) 30%, transparent);
    --icon-active: var(--noix-chestnut);
    --progress-bg: color-mix(in srgb, var(--noix-blue) 20%, transparent);
    --progress-thumb: var(--noix-chestnut);
    --foldout-duration: 300ms;
    background-color: var(--bg-color);
	--layout-spacing: var(--pk-row-spacing);
    padding-block: var(--layout-spacing);
}

.content_image_switcher-layout.dark-bg {
    --inactive-bg: var(--noix-stone-20);
    --active-bg: var(--noix-stone-20);
}

.content_image_switcher-layout .item-container {
    gap: 1rem;
}

.content_image_switcher-layout .content-col {
    display: flex;
    flex-direction: column;
    gap: max(1.5rem, calc(2 * var(--su)));
    padding-right: max(2rem, calc(2.5 * var(--su)));
}

.content_image_switcher-layout .content-col > .content {
    display: flex;
    flex-direction: column;
    gap: max(1rem, calc(1 * var(--su)));
}


.content_image_switcher-layout .items {
    display: flex;
    flex-direction: column;
    gap: max(1rem, calc(1 * var(--su)));
}

.content_image_switcher-layout .items .item {
    border-radius: 1rem;
    padding: max(1rem, calc(1.5 * var(--su))) max(2rem, calc(3 * var(--su)));
    background-color: var(--inactive-bg);
    transition: background-color var(--foldout-duration) ease-in-out, outline-color var(--foldout-duration) ease-in-out;
    outline: 1px solid transparent;
	outline-offset: -1px;
}

.content_image_switcher-layout .item.active {
    background-color: var(--active-bg);
    outline-color: rgba(174, 101, 50, 0.40);
}

.content_image_switcher-layout .item h3 {
    display: flex;
    align-items: center;
    gap: max(1.5rem, calc(1.5 * var(--su)));
    margin-bottom: 0;
    margin-top: max(.5rem, calc(.5 * var(--su)));
}

.content_image_switcher-layout .item .content {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows var(--foldout-duration) ease-in-out, margin-top var(--foldout-duration) ease-in-out;
}

.content_image_switcher-layout .item .content-wrapper {
    overflow: hidden;
    transition: margin-bottom var(--foldout-duration) ease-in-out;
    font-size: var(--scaling-body-s);
    max-width: 90%;
}


.content_image_switcher-layout .item.active .content{
    margin-top: max(1rem, calc(1 * var(--su)));
    grid-template-rows: 1fr;
}

.content_image_switcher-layout .item .content .pk-button-group{
    margin-block: max(1rem, calc(2 * var(--su)));
}

.content_image_switcher-layout .images {
    display: grid;
    grid-template-areas: "stack";
    border-radius: max(.5rem, calc(0.5 * var(--su)));
    height: 100%;
    overflow: clip;
    padding-left: max(2rem, calc(2.5 * var(--su)));
}

.content_image_switcher-layout .images img{
    grid-area: stack;
    width: 100%; height: 100%;
    object-fit: cover;
    aspect-ratio: 1;
    border-radius: .5rem;
    transition: opacity var(--foldout-duration) ease-in-out;
}

.content_image_switcher-layout .item-container.reversed .content-col {
    order: 2;
    padding-right: 0;
    padding-left: max(2rem, calc(2.5 * var(--su)));
}

.content_image_switcher-layout .item-container.reversed .images {
    order: 1;
    padding-left: 0;
    padding-right: max(2rem, calc(2.5 * var(--su)));
}

@media screen and (max-width: 992px) {

    .content_image_switcher-layout .content-col,
    .content_image_switcher-layout .item-container.reversed .content-col {
        padding-right: 0;
        padding-left: 0;
        order: 0;
    }

    .content_image_switcher-layout .images,
    .content_image_switcher-layout .item-container.reversed .images {
        padding-left: 0;
        padding-right: 0;
        order: 1;
    }

}